Name:                jasper
Version:             4.1.0
Release:             5
Summary:             Reference implementation of the codec specified in the JPEG-2000 standard, Part 1
License:             JasPer-2.0
URL:                 http://www.ece.uvic.ca/~frodo/jasper/
Source0:             https://github.com/jasper-software/%{name}/archive/refs/tags/version-%{version}.tar.gz

Patch0001:           jasper-4.1.0-rpath.patch
Patch0002:           backport_CVE-2023-51257.patch
Patch0003:           backport_CVE-2024-31744.patch
Patch0004:           backport-Fixed-a-potential-integer-overflow-problem-in-the-jas_get_total_mem_size-function.patch
Patch0005:           backport-Fixed-a-potential-integer-overflow-problem-in-the.patch

BuildRequires:       cmake freeglut-devel libGLU-devel libjpeg-devel libXmu-devel libXi-devel
BuildRequires:       pkgconfig doxygen mesa-libGL-devel git

Provides:            jasper-libs = %{version}-%{release}
Obsoletes:           jasper-libs < %{version}-%{release}
Conflicts:           jasper < 1.900.1-4

%description
The JasPer Project is an open-source initiative to provide a free software-based reference
implementation of the codec specified in the JPEG-2000 Part-1 standard.

%package devel
Summary:             Development files for jasper
Provides:            libjasper-devel = %{version}-%{release}
Requires:            %{name} = %{version}-%{release} libjpeg-devel pkgconfig

%description devel
Development files for jasper.

%package utils
Summary:             Nonessential utilities of jasper
Requires:            %{name} = %{version}-%{release}

%description utils
Nonessential utilities of jasper, including jiv and tmrdemo.

%package help
Summary:             Help documents for jasper

%description help
Help documents for jasper.

%prep
%autosetup -n  %{name}-version-%{version} -p1 -S git

%build
install -d builder
cd builder
%cmake .. -DJAS_ENABLE_DOC:BOOL=OFF
cd -

%make_build -C builder

%install
make install/fast DESTDIR=%{buildroot} -C builder
%delete_la

%check
make test -C builder

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYRIGHT.txt LICENSE.txt
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%{_docdir}/JasPer/*
%{_libdir}/libjasper.so.7*

%files devel
%doc doc/*
%{_includedir}/jasper/
%{_libdir}/pkgconfig/jasper.pc
%{_libdir}/libjasper.so

%files utils
%{_bindir}/jiv

%files help
%{_mandir}/man1/*
%doc README.md

%changelog
* Mon Jul 8 2024 zhangxingrong-<zhangxingrong@uniontech.cn> - 4.1.0-5
- Fixed a potential integer overflow problem in the jas_get_total_mem_size
function (for the Windows platform).
- Fixed a potential integer overflow problem in the

* Sun Apr 28 2024 cenhuilin <cenhuilin@kylinos.cn> - 4.1.0-4
- fix CVE-2024-31744

* Wed Mar 27 2024 panchenbo <panchenbo@kylinsec.com.cn> - 4.1.0-3
- fix rpmbuild build error : add BuildRequires: git

* Mon Mar 25 2024 licihua <licihua@huawei.com> - 4.1.0-2
- Fix CVE-2023-51257

* Wed Feb 7 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 4.1.0-1
- Upgrade to version 4.1.0

* Mon Feb 5 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 2.0.14-11
- Fix obs compile failure

* Wed Sep 8 2021 liwu <liwu13@huawei.com> - 2.0.14-10
- fix CVE-2021-27845

* Wed Sep 16 2020 wutao <wutao61@huawei.com> - 2.0.14-9
- fix folllowing CVE in this revision
  CVE-2018-18873
  CVE-2018-19541 
  CVE-2018-9055
  CVE-2018-9154 
  CVE-2018-19539 
  CVE-2018-20570
  CVE-2018-9252 
  CVE-2018-19540 
  CVE-2018-20622
  CVE-2018-19139

* Wed Apr 22 2020 leiju <leiju4@huawei.com> - 2.0.14-8
- Package init
